# MavenArtifact

interface MavenArtifact : PublicationArtifact

An artifact published as part of a MavenPublication.

## Functions

builtBy
Link copied to clipboard
abstract fun builtBy(tasks: Array<Any>)
getBuildDependencies
Link copied to clipboard
abstract fun getBuildDependencies(): TaskDependency
getClassifier
Link copied to clipboard
@Nullable
abstract fun getClassifier(): @Nullable String
The classifier used to publish the artifact file.
getExtension
Link copied to clipboard
abstract fun getExtension(): String
The extension used to publish the artifact file, never `null`.
getFile
Link copied to clipboard
abstract fun getFile(): File
setClassifier
Link copied to clipboard
abstract fun setClassifier(@Nullable classifier: @Nullable String)
Sets the classifier used to publish the artifact file.
setExtension
Link copied to clipboard
abstract fun setExtension(extension: String)
Sets the extension used to publish the artifact file.